Unit Form_Main;

Interface
                     
Uses
     Windows,  
     Messages,
     SysUtils,
     Classes,
     Graphics,
     Controls,
     Forms,
     Dialogs,
     mxProtector,
     StdCtrls,
     ComCtrls;

Type
     Tfrm_MainWindow = Class( TForm )
          btn_Go: TButton;
          btn_Cancel: TButton;
          Label1: TLabel;
          lbl_Message: TLabel;
          btn_Reset: TButton;
          Label2: TLabel;
          Label3: TLabel;
          ProgressBar: TProgressBar;
          lbl_Remaining: TLabel;
          mxProtector: TmxProtector;
    Label4: TLabel;
    Label5: TLabel;
          Procedure FormCreate( Sender: TObject );
          Procedure btn_CancelClick( Sender: TObject );
          Procedure btn_GoClick( Sender: TObject );
          Procedure btn_ResetClick( Sender: TObject );
          Procedure mxProtectorStartTrial( Sender: TObject;
               StartsRemained: Integer );
          Procedure mxProtectorExpiration( Sender: TObject );
          procedure mxProtectorPutString(Sender: TObject; var APath, AKey,    ASavedData: String; var Handled: Boolean);
    procedure mxProtectorPutBoolean(Sender: TObject; var APath,
      AKey: String; var ASavedData, Handled: Boolean);
    procedure mxProtectorGetBoolean(Sender: TObject; var APath,
      AKey: String; var AResult, Handled: Boolean);
    procedure mxProtectorGetString(Sender: TObject; var APath, AKey,
      AResult: String; var Handled: Boolean);
    procedure mxProtectorReset(Sender: TObject; var Handled: Boolean);
    procedure mxProtectorCodeData(Sender: TObject; var ACode: String);
    procedure mxProtectorDeCodeData(Sender: TObject; var ACode: String);
     Private

     Public

     End;

Var
     frm_MainWindow: Tfrm_MainWindow;

Implementation

{$R *.DFM}

Uses IniFiles;

// *************************************************************************************
// ** Tfrm_MainWindow.FormCreate, 8/21/01 4:09:20 PM
// *************************************************************************************

Procedure Tfrm_MainWindow.FormCreate( Sender: TObject );
Begin
     // If poAutoInit is excluded from Option you have to init the protection ***
     // mxProtector.Init;
End;

// *************************************************************************************
// ** Tfrm_MainWindow.btn_CancelClick, 8/21/01 4:12:29 PM
// *************************************************************************************

Procedure Tfrm_MainWindow.btn_CancelClick( Sender: TObject );
Begin
     Close;
End;

// *************************************************************************************
// ** Tfrm_MainWindow.btn_GoClick, 8/21/01 4:20:55 PM
// *************************************************************************************

Procedure Tfrm_MainWindow.btn_GoClick( Sender: TObject );
Begin
     MessageDlg( 'Your application is started', mtInformation, [ mbOK ], 0 );
End;

// *************************************************************************************
// ** Tfrm_MainWindow.btn_ResetClick, 8/21/01 4:41:49 PM
// *************************************************************************************

Procedure Tfrm_MainWindow.btn_ResetClick( Sender: TObject );
Begin
     mxProtector.Reset;
     MessageDlg( 'You can start this application 10 times again', mtInformation, [ mbOK ], 0 );
End;

// *************************************************************************************
// ** Tfrm_MainWindow.mxProtectorStartTrial, 8/21/01 5:24:03 PM
// *************************************************************************************

Procedure Tfrm_MainWindow.mxProtectorStartTrial( Sender: TObject; StartsRemained: Integer );
Begin
     lbl_Remaining.Caption := Format( '%d starts remained', [ StartsRemained ] );
     btn_Reset.Enabled:=FALSE;
     btn_Go.Enabled:=TRUE;
     ProgressBar.Max := mxProtector.MaxStartNumber;
     ProgressBar.Position := StartsRemained;
End;

// *************************************************************************************
// ** Tfrm_MainWindow.mxProtectorExpiration, 8/22/01 10:50:58 AM
// *************************************************************************************

Procedure Tfrm_MainWindow.mxProtectorExpiration( Sender: TObject );
Begin
     lbl_Remaining.Caption := '0 starts remained';
     lbl_Message.Caption := 'This licence has expired';
     btn_Reset.Enabled:=TRUE;
     btn_Go.Enabled:=FALSE;
     ProgressBar.Max := 0;
     ProgressBar.Position := 0;
End;

procedure Tfrm_MainWindow.mxProtectorPutString(Sender: TObject; var APath, AKey, ASavedData: String; var Handled: Boolean);
var
  Ini: TIniFile;
begin
  Ini := TIniFile.Create( ChangeFileExt( Application.ExeName, '.INI' ) );
  try
    Ini.WriteString( 'REGDATA', AKey, ASavedData );
    Handled:=True;
  finally
    Ini.Free;
  end;
end;

procedure Tfrm_MainWindow.mxProtectorPutBoolean(Sender: TObject; var APath, AKey: String; var ASavedData, Handled: Boolean);
var
  Ini: TIniFile;
begin
  Ini := TIniFile.Create( ChangeFileExt( Application.ExeName, '.INI' ) );
  try
    Ini.WriteBool( 'REGDATA', AKey, ASavedData );
    Handled:=True;
  finally
    Ini.Free;
  end;
end;

procedure Tfrm_MainWindow.mxProtectorGetBoolean(Sender: TObject; var APath, AKey: String; var AResult, Handled: Boolean);
var
  Ini: TIniFile;
begin
  Ini := TIniFile.Create( ChangeFileExt( Application.ExeName, '.INI' ) );
  try
    AResult:=Ini.ReadBool( 'REGDATA', AKey, AResult );
    Handled:=True;
  finally
    Ini.Free;
  end;
end;

procedure Tfrm_MainWindow.mxProtectorGetString(Sender: TObject; var APath, AKey, AResult: String; var Handled: Boolean);
var
  Ini: TIniFile;
begin
  Ini := TIniFile.Create( ChangeFileExt( Application.ExeName, '.INI' ) );
  try
    AResult:=Ini.ReadString( 'REGDATA', AKey, AResult );
    Handled:=True;
  finally
    Ini.Free;
  end;
end;

procedure Tfrm_MainWindow.mxProtectorReset(Sender: TObject; var Handled: Boolean);
begin
  Handled:=True;
  DeleteFile( ChangeFileExt( Application.ExeName, '.INI' ) );
end;

procedure Tfrm_MainWindow.mxProtectorCodeData(Sender: TObject; var ACode: String);
begin
  // ** You can use any kind of coder technology here to hide the data **
  ACode:=ACode;
end;

procedure Tfrm_MainWindow.mxProtectorDeCodeData(Sender: TObject;  var ACode: String);
begin
  // ** You can use any kind of decoder technology here to hide the data **
  ACode:=ACode;
end;

End.

