Unit Form_Main;

Interface

Uses
     Windows,
     Messages,
     SysUtils,
     Classes,
     Graphics,
     Controls,
     Forms,
     Dialogs,
     mxProtector,
     StdCtrls;
                                            

Type
     Tfrm_MainWindow = Class( TForm )
          btn_Go: TButton;
          btn_Cancel: TButton;
          Label1: TLabel;
          btn_Register: TButton;
          Label5: TLabel;
          grp_Reg: TGroupBox;
          Edit_UserName: TEdit;
          Edit_Serial: TEdit;
          Label2: TLabel;
          lbl_Serial: TLabel;
          btn_Reset: TButton;
          btn_About: TButton;
          Edit_HWID: TEdit;
          Label3: TLabel;
    mxProtector: TmxProtector;
          Procedure FormCreate( Sender: TObject );
          Procedure btn_CancelClick( Sender: TObject );
          Procedure btn_GoClick( Sender: TObject );
          Procedure btn_ResetClick( Sender: TObject );
          Procedure btn_RegisterClick( Sender: TObject );
          Procedure Edit_SerialChange( Sender: TObject );
          Procedure mxProtectorGetSerialNumber( Sender: TObject; Var UserName, SerialNumber: String );
          Procedure btn_AboutClick( Sender: TObject );
          Procedure mxProtectorInvalidSerialNumber( Sender: TObject );
          Procedure mxProtectorUnknownHardware( Sender: TObject );

     Private

          Procedure ProcessRights;

     Public

     End;

Var
     frm_MainWindow: Tfrm_MainWindow;

Implementation

{$R *.DFM}

// *************************************************************************************
// ** Tfrm_MainWindow.FormCreate, 8/21/01 4:09:20 PM
// *************************************************************************************

Procedure Tfrm_MainWindow.FormCreate( Sender: TObject );
Begin
     // If poAutoInit is excluded from Option you have to init the protection ***
     // mxProtector.Init;
     ProcessRights;
     Edit_HWID.Text := mxProtector.GetHardwareID;
End;

// *************************************************************************************
// ** Tfrm_MainWindow.ProcessRights, 8/30/01 9:25:21 AM
// *************************************************************************************

Procedure Tfrm_MainWindow.ProcessRights;
Begin
     btn_Go.Enabled := mxProtector.IsRegistered;
     grp_Reg.Enabled := Not mxProtector.IsRegistered;
     btn_Register.Enabled := Not mxProtector.IsRegistered;
     btn_Reset.Enabled := mxProtector.IsRegistered;
     Edit_UserName.Enabled := Not mxProtector.IsRegistered;
     Edit_Serial.Enabled := Not mxProtector.IsRegistered;
     btn_Register.Enabled := ( Edit_UserName.Text <> '' ) And ( Edit_Serial.Text <> '' ) And ( Not mxProtector.IsRegistered );

     If mxProtector.IsRegistered Then
     Begin
          label1.Caption := 'Registered version';
          Label5.Caption := 'Thanks for the registration!';
     End
     Else
     Begin
          label1.Caption := 'Shareware Edition';
          Label5.Caption := 'To enable the Go button you must register!';
     End;
End;

// *************************************************************************************
// ** Tfrm_MainWindow.btn_CancelClick, 8/21/01 4:12:29 PM
// *************************************************************************************

Procedure Tfrm_MainWindow.btn_CancelClick( Sender: TObject );
Begin
     Close;
End;

// *************************************************************************************
// ** Tfrm_MainWindow.btn_GoClick, 8/21/01 4:20:55 PM
// *************************************************************************************

Procedure Tfrm_MainWindow.btn_GoClick( Sender: TObject );
Begin
     MessageDlg( 'It is a registered feature!', mtInformation, [ mbOK ], 0 );
End;

// *************************************************************************************
// ** Tfrm_MainWindow.btn_ResetClick, 8/21/01 4:41:49 PM
// *************************************************************************************

Procedure Tfrm_MainWindow.btn_ResetClick( Sender: TObject );
Begin
     mxProtector.Reset;
     MessageDlg( 'Registration removed!', mtInformation, [ mbOK ], 0 );
     ProcessRights;
End;

// *************************************************************************************
// ** Tfrm_MainWindow.Button1Click, 8/21/01 5:01:15 PM
// *************************************************************************************

Procedure Tfrm_MainWindow.btn_RegisterClick( Sender: TObject );
Begin
     mxProtector.Registration;
     ProcessRights;
End;

// *************************************************************************************
// ** Tfrm_MainWindow.Edit_SerialChange, 8/28/01 3:42:35 PM
// *************************************************************************************

Procedure Tfrm_MainWindow.Edit_SerialChange( Sender: TObject );
Begin
     btn_Register.Enabled := ( Edit_UserName.Text <> '' ) And ( Edit_Serial.Text <> '' );
End;

// *************************************************************************************
// ** Tfrm_MainWindow.mxProtectorGetSerialNumber, 8/30/01 9:41:16 AM
// *************************************************************************************

Procedure Tfrm_MainWindow.mxProtectorGetSerialNumber( Sender: TObject; Var UserName, SerialNumber: String );
Begin
     UserName := Edit_UserName.Text;
     SerialNumber := Edit_Serial.Text;
End;

// *************************************************************************************
// ** Tfrm_MainWindow.btn_AboutClick, 8/30/01 12:37:25 PM
// *************************************************************************************

Procedure Tfrm_MainWindow.btn_AboutClick( Sender: TObject );
Var
     S: String;
Begin
     If mxProtector.GetRegisteredUserName = '' Then
          S := 'This is an unregistered copy' Else
          S := 'This software is registered to'#13#10 + mxProtector.GetRegisteredUserName;

     MessageDlg( S, mtInformation, [ mbOK ], 0 );
End;

// *************************************************************************************
// ** Tfrm_MainWindow.mxProtectorInvalidSerialNumber, 8/30/01 12:37:22 PM
// *************************************************************************************

Procedure Tfrm_MainWindow.mxProtectorInvalidSerialNumber( Sender: TObject );
Begin
     MessageDlg( 'This serial number is invalid!', mtError, [ mbOK ], 0 );
End;

// *************************************************************************************
// ** Tfrm_MainWindow.mxProtectorUnknownHardware, 10/12/01 1:33:55 PM
// *************************************************************************************

Procedure Tfrm_MainWindow.mxProtectorUnknownHardware( Sender: TObject );
Begin
     MessageDlg( 'Your Hardware does not compatible to this software' + #13 + #10 + 'Please contact the author.', mtError, [ mbOK ], 0 );
End;

End.

